<?php
    $extension = explode(".", $PHP_SELF);
    $ext_count = count($extension);
    $extension = "." . $extension[$ext_count-1];
    
    require("config".$extension);
    require("coresql".$extension);
    
    function showCSSHeader()
    {
        global $styledata;
        $styledata[css_header] = str_replace("{header_size}", $styledata[header_size], $styledata[css_header]);
        $styledata[css_header] = str_replace("{header_color}", $styledata[header_color], $styledata[css_header]);
        $styledata[css_header] = str_replace("{news_size}", $styledata[news_size], $styledata[css_header]);
        $styledata[css_header] = str_replace("{news_color}", $styledata[news_color], $styledata[css_header]);
        $styledata[css_header] = str_replace("{smalltext_size}", $styledata[smalltext_size], $styledata[css_header]);
        $styledata[css_header] = str_replace("{smalltext_color}", $styledata[smalltext_color], $styledata[css_header]);
    
    print $styledata[css_header];
    print "\n";
    }
        
    $dbconn = new Coresql($db_server, $db_database, $db_account, $db_password);
    $options   = $dbconn->fetchArray("SELECT * FROM $optionstable");
    $styledata = $dbconn->fetchArray("SELECT * FROM $styletable WHERE id = $options[use_style_id]");
    $close = $dbconn->close();
?>

<html>
<head>

<?php
    showCSSHeader();
?>

<title>News Preview</title>

</head>
<body bgcolor="<?php print $options[preview_bgcolor]; ?>">

<?php
    
    $dbconn = new Coresql($db_server, $db_database, $db_account, $db_password);

    if (isset($editnewsid)) {
        $newsdata = $dbconn->fetchArray("SELECT * FROM $newstable WHERE id = $editnewsid");
        $userdata = $dbconn->fetchArray("SELECT * FROM $usertable WHERE id = $newsdata[author_id]");
    } else {
        $userdata = $dbconn->fetchArray("SELECT * FROM $usertable WHERE id = $userid");
    }

    $news_text  = str_replace("\n", "<br>", $news_text);
    $news_title = str_replace("\\'", "'", $news_title);
    $news_text  = str_replace("\\'", "'", $news_text);
                
    $news_template = addslashes($styledata[template]);
                
    $news_template = str_replace("{newstitel}", $news_title, $news_template);
    $news_template = str_replace("{news}", $news_text, $news_template);
    $news_template = str_replace("<a ", "<a class=\\\"cnnews\\\" ", $news_template);
    if ($show_email) {
        $userdata[username] = "<a href=\\\"mailto:$userdata[email]\\\" class=\\\"cnsmalltext\\\">$userdata[username]</a>";
    }
    if ($options[use_icons]) {
        $icondata = $dbconn->fetchArray("SELECT * FROM $icontable WHERE id = $icon_id");
        $icon = "<img src=\\\"$options[icon_dir]$icondata[name]\\\" alt=\\\"$icondata[title]\\\">";
    } else {
        $icon = "";
    }
    $news_template = str_replace("{icon}", $icon, $news_template);
    $news_template = str_replace("{user}", $userdata[username], $news_template);
    $news_template = str_replace("{datum}", date($options[date_format], time()), $news_template);
    $comments = "";
    $news_template = str_replace("{kommentare}", $comments, $news_template);
    if (($link != "") && ($link_text != "")) {
        $link = "<a href=\\\"$link\\\" target=\\\"_blank\\\" class=\\\"cnsmalltext\\\">$link_text</a>";
    } else {
        $link = "";
    }
    $news_template = str_replace("{link}", $link, $news_template);
    $news_template = str_replace("{ausrichtung}", $options[news_alignment], $news_template);
        
    $news_template = str_replace("?>", "?><?php print \"", $news_template);
    $news_template = str_replace("<?php", "\"; ?><?php", $news_template);
    $news_template = str_replace("?>\"; ?><?php print \"", "?><?php print \"", $news_template);
    $news_template = "<?php print \"".$news_template."\"; ?>";
                
    eval ("?>".$news_template);  
    $close = $dbconn->close();
    
?>

</body>
</html>